#!/bin/sh

CONFIG="/etc/orbitaweb.conf"

. "$CONFIG"

if [ -z "$BPMDATA" ]; then
    echo "BPMDATA not set in $CONFIG" >&2
    exit 1
fi

if [ -z "$IMGDIR" ]; then
    echo "IMGDIR not set in $CONFIG" >&2
    exit 1
fi

cd $IMGDIR || exit $?

while true; do
    bpmbeta "$BPMDATA/bpm_raw.dat" png "$BPMBETA_DEVICE_ID"
    sleep 5
done
