#!/bin/sh

CONFIG="/etc/orbitaweb.conf"

. "$CONFIG"

if [ -z "$BPMDATA" ]; then
    echo "BPMDATA not set in $CONFIG" >&2
    exit 1
fi

if [ -z "$IMGDIR" ]; then
    echo "IMGDIR not set in $CONFIG" >&2
    exit 1
fi

cd $IMGDIR || exit $?

while true; do
    bpmweb "$BPMDATA/fft_all.txt"
    sleep 5
done
