#!/bin/sh

# required for parsing of utf-8 orbita.csv
export LANG=en_US.UTF-8

for i in bpmweb orbitaweb bpmbeta; do
    killall -q ${i}_wrapper.sh $i
    sleep 1

    PROCS=`ps axfw`
    echo $PROCS |grep -q $i
    if [ $? -eq 0 ]; then
        echo "Already running: $i" >&2
    else
        nohup ${i}_wrapper.sh >/dev/null 2>&1 &
    fi
done
